%global srcname far

Name:           nodejs-%{srcname}
Version:        0.0.7
Release:        6%{?dist}
Summary:        Find and run Node.js files
License:        MIT
URL:            https://github.com/felixge/node-far
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/felixge/node-far/master/LICENSE

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-oop

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
find . -name '*\.un~' -delete
cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/ bin/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/node-far %{buildroot}%{_bindir}/node-far

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
./bin/node-far test/ -i 'test-.*\.js$' -e '.*-fail\.js$'

%files
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/node-far

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct  3 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.0.7-1
- Initial package
